// ★コメント未記入
#if !defined(AFX_PLUGINDLG_H__07AC5E49_077A_4DE0_870B_15F2E8530B73__INCLUDED_)
#define AFX_PLUGINDLG_H__07AC5E49_077A_4DE0_870B_15F2E8530B73__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PlugInDlg.h : ヘッダー ファイル
//
class CShitarabianDoc;

/////////////////////////////////////////////////////////////////////////////
// CPlugInDlg ダイアログ

class CPlugInDlg : public CDialog
{
// コンストラクション
public:
	CPlugInDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	virtual void Attach( CShitarabianDoc* pDoc ){ m_pDoc = pDoc; };

// ダイアログ データ
	//{{AFX_DATA(CPlugInDlg)
	enum { IDD = IDD_PLUGIN };
	CButton	m_btnDown;
	CButton	m_btnSetting;
	CButton	m_btnUp;
	CListBox	m_lstPlugIn;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CPlugInDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	CShitarabianDoc*	m_pDoc;

	void VisibleControl();


	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CPlugInDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPluginSetting();
	afx_msg void OnSelchangePluginList();
	afx_msg void OnPluginUp();
	afx_msg void OnPluginDown();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_PLUGINDLG_H__07AC5E49_077A_4DE0_870B_15F2E8530B73__INCLUDED_)
